Skip to main content
GET
List API keys

Authorizations

Authorization
string
header
required

A Nemonist key (sk-nm-...) as a bearer token in the Authorization header.

Headers

HTTP-Referer
string

The app identifier should be your app's URL and is used as the primary identifier for rankings. This is used to track API usage per application.

X-OpenRouter-Title
string

The app display name allows you to customize how your app appears in OpenRouter's dashboard.

X-OpenRouter-Categories
string

Comma-separated list of app categories (e.g. "cli-agent,cloud-agent"). Used for marketplace rankings.

Query Parameters

include_disabled
boolean

Whether to include disabled API keys in the response

Example:

"false"

include_expired
boolean

Whether to include expired API keys in the response. Expired keys are excluded by default and returned only when this is true.

Example:

"false"

offset
integer | null

Number of API keys to skip for pagination

Required range: x >= 0
Example:

0

workspace_id
string

Filter API keys by workspace ID. By default an organization-scoped management key gets the default workspace; a workspace-scoped management key always gets its own workspace and cannot list another.

Response

List of API keys

data
object[]
required

List of API keys